/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader 2.13.  */
/*
 * @(#)$Id: config.h.in,v 1.13 2005/06/28 21:43:58 baccala Exp $
 *
 * Copyright (C) 1996 - 2001 Tim Witham <twitham@quiknet.com>
 *
 * (see the files README and COPYING for more details)
 *
 * This file simply sets the program's compile-time options.
 * Original shipped values are in (parentheses).
 *
 */


/* Define to empty if the keyword does not work.  */
/* #undef const */

/* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
#define HAVE_SYS_WAIT_H 1

/* Define if major, minor, and makedev are declared in <mkdev.h>.  */
/* #undef MAJOR_IN_MKDEV */

/* Define if major, minor, and makedev are declared in <sysmacros.h>.  */
/* #undef MAJOR_IN_SYSMACROS */

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
/* #undef size_t */

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS 1

/* Define if you can safely include both <sys/time.h> and <time.h>.  */
#define TIME_WITH_SYS_TIME 1

/* Define if your <sys/time.h> declares struct tm.  */
/* #undef TM_IN_SYS_TIME */

/* Define if the X Window System is missing or not being used.  */
/* #undef X_DISPLAY_MISSING */

/* I think these came from glade, not used much yet */
/* #undef ENABLE_NLS */
/* #undef HAVE_CATGETS */
/* #undef HAVE_GETTEXT */
/* #undef HAVE_LC_MESSAGES */
/* #undef HAVE_STPCPY */
/* #undef HAVE_LIBSM */
/* #undef PACKAGE_LOCALE_DIR */
/* for glade pixmaps, if any */
#define PACKAGE_DATA_DIR "/usr/local/share/xoscope"
#define PACKAGE_SOURCE_DIR "/usr/local/xoscope-1.12"
/* for xoscope external math commands */
#define PACKAGE_LIBEXEC_DIR "/usr/local/libexec/xoscope"

/* Define if you have the getcwd function.  */
#define HAVE_GETCWD 1

/* Define if you have the putenv function.  */
#define HAVE_PUTENV 1

/* Define if you have the select function.  */
#define HAVE_SELECT 1

/* Define if you have the strdup function.  */
#define HAVE_STRDUP 1

/* Define if you have the strstr function.  */
#define HAVE_STRSTR 1

/* Define if you have the strtol function.  */
#define HAVE_STRTOL 1

/* Define if you have the <X11/SX/libsx.h> header file.  */
/* #undef HAVE_X11_SX_LIBSX_H */

/* Define if you have the <dirent.h> header file.  */
#define HAVE_DIRENT_H 1

/* Define if you have the <fcntl.h> header file.  */
#define HAVE_FCNTL_H 1

/* Define if you have the <libsx.h> header file.  */
/* #undef HAVE_LIBSX_H */

/* Define if you have the <limits.h> header file.  */
#define HAVE_LIMITS_H 1

/* Define if you have the <ndir.h> header file.  */
/* #undef HAVE_NDIR_H */

/* Define if you have the <sys/dir.h> header file.  */
/* #undef HAVE_SYS_DIR_H */

/* Define if you have the <sys/ioctl.h> header file.  */
#define HAVE_SYS_IOCTL_H 1

/* Define if you have the <sys/ndir.h> header file.  */
/* #undef HAVE_SYS_NDIR_H */

/* Define if you have the <sys/time.h> header file.  */
#define HAVE_SYS_TIME_H 1

/* Define if you have the <termio.h> header file.  */
#define HAVE_TERMIO_H 1

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define if you have the comedi library (-lcomedi).  */
#define HAVE_LIBCOMEDI 1

/* Define if you have the esd library (-lesd).  */
/* #undef HAVE_LIBESD */

/* Define if you have the m library (-lm).  */
#define HAVE_LIBM 1

/* Define if you have the vga library (-lvga).  */
/* #undef HAVE_LIBVGA */

/* Define if you have the vgamisc library (-lvgamisc).  */
/* #undef HAVE_LIBVGAMISC */

/* Name of package */
#define PACKAGE "xoscope"

/* Version number of package */
#define VERSION "1.12"


/* program defaults for the command-line options (original values) */
#define DEF_A	1		/* 1-8 (1) */
#define DEF_R	44100		/* 8000,11025,22050,44100 (44100) */
#define DEF_S	10		/* 1,2,5,10,20,50,100,200,500,1000 (10) */
#define DEF_T	"0:0:x"		/* -128-127:0,1,2:x,y ("0:0:x") */
#define DEF_L	"1:1:0"		/* 1-MAXWID:1-MAXWID:0,1 ("1:1:0") */
#define DEF_C	4		/* 0-16 (4) */
#define DEF_M	0		/* 0,1,2 (0) */
#define DEF_D	4		/* 1,2,4 (4) */
#define DEF_F	""		/* console font, "" = default ("") */
#define DEF_FX	"8x16"		/* X11 font ("8x16") */
#define DEF_P	2		/* 0,1,2 (2) */
#define DEF_G	2		/* 0,1,2 (2) */
#define DEF_B	0		/* 0,1 (0) */
#define DEF_V	0		/* 0,1 (0) */
#define DEF_X	0		/* 0,1 (0) don't use sound card? */
#define DEF_Z	0		/* 0,1 (0) don't search for Serial Scope? */

/* maximum number of samples stored in memories (1024 * 256) */
#define MAXWID		1024 * 256

/* The first few samples after a reset seem invalid.  If you see
   strange "glitches" at the left edge of the screen, increase this (32) */
#define SAMPLESKIP	32

/* maximum samples to discard at each pass if we have too many (16384) */
#define DISCARDBUF 16384

/* max number of channels, up to 8 (8) */
#define CHANNELS	8

/* colors of the channels; see colors in gr_sx.c ({2,3,5,6,14,1,4,15}) */
#define CHANNELCOLOR	{2,3,14,6,5,1,4,15}

/* text foreground color (color[15]) */
#define TEXT_FG		color[15]

/* key foreground color (color[5]) */
#define KEY_FG		color[5]

/* text background color (color[0]) */
#define TEXT_BG		color[0]

/* minimum number of milliseconds between refresh on libsx version (30) */
#define MSECREFRESH	30
/* a lower number here can increase refresh rate but at the expense of
   interactive response time as the X server becomes too busy */

/* bourne shell command for X11 Help ("man xoscope 2>&1") */
#define HELPCOMMAND	"man xoscope 2>&1"

/* default file name ("oscope.dat") */
#define FILENAME	"oscope.dat"

/* default external command pipe to run ("operl '$x + $y'") */
#define COMMAND		"operl '$x + $y'"

/* FFT length, shorter than minimum screen width and multiple of 2 (512) */
#define FFTLEN	512

/* preferred path to probescope serial device ("/dev/probescope") */
#define PROBESCOPE "/dev/probescope"

/* preferred path to bitscope serial device ("/dev/bitscope") */
#define BITSCOPE "/dev/bitscope"

/* extra places to look for serial scopes (set to {""} to not search) */
/* ({"", "/dev/ttyS0", "/dev/ttyS1", "/dev/ttyS2", "/dev/ttyS3"}) */
#define PSDEVS {"", "/dev/ttyS0", "/dev/ttyS1", "/dev/ttyS2", "/dev/ttyS3"}
